Skip to content
Start here

Replace Connector or Re-provision License Key

PUT/accounts/{account_id}/magic/connectors/{connector_id}

Replace Connector or Re-provision License Key

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN Write
Path ParametersExpand Collapse
account_id: string

Account identifier

maxLength32
connector_id: string
Body ParametersJSONExpand Collapse
activated: optional boolean
interrupt_window_days_of_week: optional array of "Sunday" or "Monday" or "Tuesday" or 4 more

Allowed days of the week for upgrades. Default is all days.

One of the following:
"Sunday"
"Monday"
"Tuesday"
"Wednesday"
"Thursday"
"Friday"
"Saturday"
interrupt_window_duration_hours: optional number
maximum24
minimum1
interrupt_window_embargo_dates: optional array of string

List of dates (YYYY-MM-DD) when upgrades are blocked.

interrupt_window_hour_of_day: optional number
notes: optional string
provision_license: optional boolean

When true, regenerate license key for the connector.

timezone: optional string
ReturnsExpand Collapse
errors: array of object { code, message }
maxLength0
code: number
message: string
messages: array of object { code, message }
code: number
message: string
result: object { id, activated, interrupt_window_days_of_week, 10 more }
id: string
activated: boolean
interrupt_window_days_of_week: array of "Sunday" or "Monday" or "Tuesday" or 4 more

Allowed days of the week for upgrades. Default is all days.

One of the following:
"Sunday"
"Monday"
"Tuesday"
"Wednesday"
"Thursday"
"Friday"
"Saturday"
interrupt_window_duration_hours: number
maximum24
minimum1
interrupt_window_embargo_dates: array of string

List of dates (YYYY-MM-DD) when upgrades are blocked.

interrupt_window_hour_of_day: number
last_updated: string
notes: string
timezone: string
device: optional object { id, serial_number }
id: string
serial_number: optional string
last_heartbeat: optional string
last_seen_version: optional string
license_key: optional string
success: boolean

Replace Connector or Re-provision License Key

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/connectors/$CONNECTOR_ID \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{}'
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "activated": true,
    "interrupt_window_days_of_week": [
      "Sunday"
    ],
    "interrupt_window_duration_hours": 1,
    "interrupt_window_embargo_dates": [
      "string"
    ],
    "interrupt_window_hour_of_day": 0,
    "last_updated": "last_updated",
    "notes": "notes",
    "timezone": "timezone",
    "device": {
      "id": "id",
      "serial_number": "serial_number"
    },
    "last_heartbeat": "last_heartbeat",
    "last_seen_version": "last_seen_version",
    "license_key": "license_key"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "activated": true,
    "interrupt_window_days_of_week": [
      "Sunday"
    ],
    "interrupt_window_duration_hours": 1,
    "interrupt_window_embargo_dates": [
      "string"
    ],
    "interrupt_window_hour_of_day": 0,
    "last_updated": "last_updated",
    "notes": "notes",
    "timezone": "timezone",
    "device": {
      "id": "id",
      "serial_number": "serial_number"
    },
    "last_heartbeat": "last_heartbeat",
    "last_seen_version": "last_seen_version",
    "license_key": "license_key"
  },
  "success": true
}